XFcPrimitiveDrawPatternFiller class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawPatternFiller Class Reference

Pattern filler using bitmap patterns. More...

Inheritance diagram for XFcPrimitiveDrawPatternFiller:

[legend]
Collaboration diagram for XFcPrimitiveDrawPatternFiller:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcPrimitiveDrawPatternFiller ()
| Virtual destructor.
virtual XFCIMPORT void | setPattern (XFcGLSurface *aSourceImage, XFcRectangle &aSourceRect)
| Sets the image to be used for filling and the rectangle from which the pattern is read.
virtual XFCIMPORT void | setPatternTransformation (XFcMatrix3 &aTransformation)
| Sets the pattern transformation for the pattern.
virtual XFCIMPORT void | setTransformation (XFcMatrix3 &aTransformation)
| Sets the rendering transformation for the pattern.
virtual XFCIMPORT void | initFill ()
| Initializes the filler for filling.
virtual XFCIMPORT void | deinitFill ()
| Deinitializes the filler after rendering.
virtual XFCIMPORT void | fill (INT32 aXStart, INT32 aXEnd, INT32 aY, UINT32 *aScanline)

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawPatternFiller * | create (XFcGLSurface *aSourceImage, XFcRectangle &aSourceRect)
| Creates the pattern filler.

## Protected Member Functions

| XFcPrimitiveDrawPatternFiller ()
| Protected constructor.
virtual void | updateTransformation ()
| Updates the transformation matrix.
virtual void | updatePatternImage ()
| Updates the pattern image from the source image.

## Protected Attributes

XFcGLSurface * | mSourceImage
XFcGLSurface * | mPatternImage
XFcRectangle | mSourceRect
XFcMatrix3 | mTransformation
XFcMatrix3 | mPatternTransformation
XFcMatrix3 | mGlobalTransformation
XFcMatrix3 | mRenderTransformation
INT32 | mRequiresUpdate
REAL | mWidthScale
REAL | mHeightScale
UINT32 * | mPatternBuffer
INT32 | mPatternPitch
INT32 | mPatternWidth
INT32 | mPatternHeight

## Detailed Description

Pattern filler using bitmap patterns.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcPrimitiveDrawPatternFiller::~XFcPrimitiveDrawPatternFiller | ( |  | ) | `[virtual]`

| Virtual destructor.

XFcPrimitiveDrawPatternFiller::XFcPrimitiveDrawPatternFiller | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT XFcPrimitiveDrawPatternFiller* XFcPrimitiveDrawPatternFiller::create | ( | XFcGLSurface * | aSourceImage,
|  | XFcRectangle & | aSourceRect
| ) | `[static]`

| Creates the pattern filler.

virtual XFCIMPORT void XFcPrimitiveDrawPatternFiller::deinitFill | ( |  | ) | `[virtual]`

| Deinitializes the filler after rendering. Implements XFcPrimitiveDrawFiller.

virtual XFCIMPORT void XFcPrimitiveDrawPatternFiller::fill | ( | INT32 | aXStart,
|  | INT32 | aXEnd,
|  | INT32 | aY,
|  | UINT32 * | aScanline
| ) | `[virtual]`

| Fills aLength PREMULA8R8G8B8 pixels to a scanline. param aXStart the starting position on the scanline param aXEnd the ending position on the scanline param aY the y position of the scanline param aScanline the start of the scanline Implements XFcPrimitiveDrawFiller.

virtual XFCIMPORT void XFcPrimitiveDrawPatternFiller::initFill | ( |  | ) | `[virtual]`

| Initializes the filler for filling. This should be called before calling fill() for the first filled span. Implements XFcPrimitiveDrawFiller.

virtual XFCIMPORT void XFcPrimitiveDrawPatternFiller::setPattern | ( | XFcGLSurface * | aSourceImage,
|  | XFcRectangle & | aSourceRect
| ) | `[virtual]`

| Sets the image to be used for filling and the rectangle from which the pattern is read. Note that the image is not copied, so it shoudn't be modified or deleted until the fill operation is done. However, the image is cached for transformation, so if the source image is animated, setPattern has to be called for every animation frame, otherwise the result may not work.

virtual XFCIMPORT void XFcPrimitiveDrawPatternFiller::setPatternTransformation | ( | XFcMatrix3 & | aTransformation | ) | `[virtual]`

| Sets the pattern transformation for the pattern.

virtual XFCIMPORT void XFcPrimitiveDrawPatternFiller::setTransformation | ( | XFcMatrix3 & | aTransformation | ) | `[virtual]`

| Sets the rendering transformation for the pattern.

virtual void XFcPrimitiveDrawPatternFiller::updatePatternImage | ( |  | ) | `[protected, virtual]`

| Updates the pattern image from the source image.

virtual void XFcPrimitiveDrawPatternFiller::updateTransformation | ( |  | ) | `[protected, virtual]`

| Updates the transformation matrix.

## Member Data Documentation

XFcMatrix3 XFcPrimitiveDrawPatternFiller::mGlobalTransformation`[protected]`

REAL XFcPrimitiveDrawPatternFiller::mHeightScale`[protected]`

UINT32* XFcPrimitiveDrawPatternFiller::mPatternBuffer`[protected]`

INT32 XFcPrimitiveDrawPatternFiller::mPatternHeight`[protected]`

XFcGLSurface* XFcPrimitiveDrawPatternFiller::mPatternImage`[protected]`

INT32 XFcPrimitiveDrawPatternFiller::mPatternPitch`[protected]`

XFcMatrix3 XFcPrimitiveDrawPatternFiller::mPatternTransformation`[protected]`

INT32 XFcPrimitiveDrawPatternFiller::mPatternWidth`[protected]`

XFcMatrix3 XFcPrimitiveDrawPatternFiller::mRenderTransformation`[protected]`

INT32 XFcPrimitiveDrawPatternFiller::mRequiresUpdate`[protected]`

XFcGLSurface* XFcPrimitiveDrawPatternFiller::mSourceImage`[protected]`

XFcRectangle XFcPrimitiveDrawPatternFiller::mSourceRect`[protected]`

XFcMatrix3 XFcPrimitiveDrawPatternFiller::mTransformation`[protected]`

REAL XFcPrimitiveDrawPatternFiller::mWidthScale`[protected]`

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch